import { Route } from 'react-router-dom';
import { SignIn, RegisterIn, ListOrders, EmptyContent } from '../components';
import { PageBasket, CPageCategory, CreatePageGood, PageSearch } from '../pages';

const UseRoute = () => {
  return (
    <>

      <Route path="/" component={EmptyContent} exact />
      <Route path = "/login" component = {SignIn}/>
      <Route path = "/registration" component = {RegisterIn} />
      <Route path = "/category/:_id" component = {CPageCategory}/>
      <Route path = "/good/:_id" component = {CreatePageGood}/>
      <Route path = "/basket" component={PageBasket}/>
      <Route path = "/listOrders" component={ListOrders}/>
      <Route path = "/search/:value" component = {PageSearch}/>

    </>
  );
};

export default UseRoute;
